TCBMTTEST(1)

NAME
tcbmttest - test cases of the B+ tree database API

DESCRIPTION

The command `tcbmttest' is a utility for facility test and performance test. This command is used in the following format. `path' specifies the path of a database file. `tnum' specifies the number of running threads. `rnum' specifies the number of iterations. `lmemb' specifies the number of members in each leaf page. `nmemb' specifies the number of members in each non-leaf page. `bnum' specifies the number of buckets. `apow' specifies the power of the alignment. `fpow' specifies the power of the free block pool.

    tcbmttest write [-tl] [-td|-tb|-tt|-tx] [-xm num] [-df num] [-nl|-nb] [-rnd] path tnum rnum [lmemb [nmemb [bnum [apow [fpow]]]]]
        Store records with keys of 8 bytes. They change as `00000001', `00000002'...
    tcbmttest read [-xm num] [-df num] [-nl|-nb] [-wb] [-rnd] path tnum
        Retrieve all records of the database above.
    tcbmttest remove [-xm num] [-df num] [-nl|-nb] [-rnd] path tnum
        Remove all records of the database above.
    tcbmttest wicked [-tl] [-td|-tb|-tt|-tx] [-nl|-nb] [-nc] path tnum rnum
        Perform updating operations selected at random.
    tcbmttest typical [-tl] [-td|-tb|-tt|-tx] [-xm num] [-df num] [-nl|-nb] [-nc] [-rr num] path tnum rnum [lmemb [nmemb [bnum [apow [fpow]]]]]
        Perform typical operations selected at random.
    tcbmttest race [-tl] [-td|-tb|-tt|-tx] [-xm num] [-df num] [-nl|-nb] path tnum rnum [lmemb [nmemb [bnum [apow [fpow]]]]]
        Perform race condition test.

Options feature the following.

    -tl : enable the option `BDBTLARGE'.
    -td : enable the option `BDBTDEFLATE'.
    -tb : enable the option `BDBTBZIP'.
    -tt : enable the option `BDBTTCBS'.
    -tx : enable the option `BDBTEXCODEC'.
    -xm num : specify the size of the extra mapped memory.
    -df num : specify the unit step number of auto defragmentation.
    -nl : enable the option `BDBNOLCK'.
    -nb : enable the option `BDBLCKNB'.
    -rnd : select keys at random.
    -wb : use the function `tchdbget3' instead of `tchdbget'.
    -nc : omit the comparison test.
    -rr num : specify the ratio of reading operation by percentage.

This command returns 0 on success, another on failure.

SEE ALSO

tcbtest(1), tcbmgr(1), tcbdb(3), tokyocabinet(3)